<?php include('../config.php');
include('inc.session-create.php');
$PageTitle="Volunteer";
$FileName ='volunteer.php';
$validate=new Validation();
if($_SESSION['success']!="")
{
$stat['success']=$_SESSION['success'];
unset($_SESSION['success']);
}

if(isset($_POST['addnewrecord']))
{
$validate->addRule($_POST['title'],'','Title',true);
if($validate->validate() && count($stat)==0)
{
    if(isset($_FILES["thumbnail"]["name"]) && !empty($_FILES["thumbnail"]["name"]))
		{
		  $filename = basename($_FILES['thumbnail']['name']);
		  $ext1 = strtolower(substr($filename, strrpos($filename, '.')+1));
		  if(in_array($ext1,array('jpg','JPG','JPEG','jpeg','png','PNG','gif','svg','webp')))
		  {
			$newfile=date("d-m-Y-h-i-s").rand(1000,9999).".".$ext1;
			move_uploaded_file($_FILES['thumbnail']['tmp_name'],"../uploads/".$newfile);

		  }
		}

				$aryData=array(
						  'token'                     => 		token('volunteer'),
						  'title'                     => 		$_POST['title'],
                          'title_one'                     => 		$_POST['title_one'],
              'description'           =>       $_POST['description'],
               'description_one'           =>       $_POST['description_one'],
              'date'           =>       date("Y-m-d"),
              'category'           =>       $_POST['category'],
              'location'           =>       $_POST['location'],
						  'thumbnail'                  => 		$newfile,
              'thumbnail_one'                  => 		$newfile1,
						  'status'                    => 		$_POST['status'],
						  );
				$flgIn1 = $db->insertAry("volunteer",$aryData);
        //echo $db->getLastQuery();exit;
				$_SESSION['success']="Submited Successfully";
				redirect($FileName);
				unset($_POST);
 } else {
			$stat['error'] = $validate->errors();
  }
}
elseif(isset($_POST['updaterecord']))
  {
$validate->addRule($_POST['title'],'','Title',true);
if($validate->validate() && count($stat)==0)
{
		if(isset($_FILES["image"]["name"]) && !empty($_FILES["image"]["name"]))
			{
			  $filename = basename($_FILES['image']['name']);
			  $ext1 = strtolower(substr($filename, strrpos($filename, '.')+1));
			  if(in_array($ext1,array('jpg','JPG','JPEG','jpeg','png','PNG','gif','svg','webp')))
			  {
				$newfile=date("d-m-Y-h-i-s").rand(1000,9999).".".$ext1;
				move_uploaded_file($_FILES['image']['tmp_name'],"../uploads/".$newfile);

			  }
			}else{   $newfile=$_POST['image_old'];  }

			$aryData=array(
						  'title'                     => 		$_POST['title'],
						  'thumbnail'                  => 		$newfile,
						  'status'                    => 		$_POST['status'],
						  );
			$flgIn = $db->updateAry("volunteer", $aryData , "where id='".$_GET['id']."' ");
			//		echo $db->getLastQuery();	exit;
			$_SESSION['success']="Update Successfully";
			unset($_POST);
			redirect($FileName);
  } else {
			$stat['error'] = $validate->errors();
  }
}
elseif(($_REQUEST['action']=='delete'))
{
				  $aryData=array(
								'status'                     => 2,
								);
					$flgIn = $db->updateAry("volunteer", $aryData , "where id='".$_GET['id']."' ");
          //	echo $db->getLastQuery();	exit;
					$_SESSION['success'] = 'Deleted Successfully';
					redirect($FileName);
}
?>
<!DOCTYPE html>
<html>
<head>
<?php include('inc.meta.php'); ?>
</head>
<body class="fixed-left">
<div id="wrapper">
<?php include('inc.header.php'); ?>
  <?php include('inc.sideleft.php'); ?>
  <div class="content-page">
    <div class="content">
      <div class="container">
        <div class="row">
          <div class="col-sm-12">
            <h4 class="page-title"><?php echo $PageTitle; ?></h4>
            <ol class="breadcrumb">
              <li> <a href="<?php echo $iClassName; ?>">Home</a> </li>
              <li class="active"> <?php echo $PageTitle; ?> </li>
            </ol>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="card-box">
              <div class="row">
                <div class="col-md-9"> <?php echo msg($stat); ?> </div>

              </div>
            </div>


            <div class="card-box">
              <table id="datatable" class="table table-striped table-bordered">
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Name</th>
                    <th>Email Id</th>
                    <th>Phone No</th>
                    <th>Address</th>
                    <th>DOB</th>
                    <th>Occupation</th>
                    <th>Message</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
      $i=0;
    $aryList=$db->getRows("select * from volunteer ");
    foreach($aryList as $iList)  {
      $i=$i+1;  ?>
                  <tr>
                    <td><?php echo $i ?></td>
                    <td><?php echo $iList['name']; ?></td>
          <td><?php echo $iList['email']; ?></td>
            <td><?php echo $iList['phoneno']; ?></td>
              <td><?php echo $iList['address']; ?></td>
        <td><?php echo $iList['dob']; ?></td>
        <td><?php echo $iList['occupation']; ?></td>
        <td><?php echo $iList['comment']; ?></td>
                    <td>
                      <a href="javascript:del('<?php echo $FileName; ?>?action=delete&id=<?php echo $iList['id']; ?>')"    class="btn-view" ><i class="ti-trash"></i> Delete</a></td>
                  </tr>
                  <?php } ?>
                </tbody>
              </table>
            </div>

          </div>
        </div>
      </div>
    </div>
    <?php include('inc.footer.php'); ?>
  </div>
</div>
<?php include('inc.js.php'); ?>
</body>
</html>
